Bug 273692 - Weird overlay in each dashboard widget
Summary: Weird overlay in each dashboard widget
Status: RESOLVED FIXED
Alias: None
Product: skrooge
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources FreeBSD
: NOR normal (vote)
Target Milestone: ---
Assignee: Stephane MANKOWSKI
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-20 04:55 UTC by Raphael Kubo da Costa
Modified: 2011-05-21 00:30 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Example of the problem. (11.55 KB, image/png)
2011-05-20 04:55 UTC, Raphael Kubo da Costa
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Raphael Kubo da Costa 2011-05-20 04:55:50 UTC
Created attachment 60170 [details]
Example of the problem.

Version:           unspecified (using Devel) 
OS:                FreeBSD

If I leave the mouse pointer over any widget in the dashboard for a few seconds, I get an overlay with some widget controls, such as "Remove", "Move Before" etc.

However, its positioning is quite weird, as it is shown over the widgets themselves, so the widget labels are hidden and it is difficult to understand what those controls are supposed to do.

Reproducible: Always

Steps to Reproduce:
Move the mouse pointer and leave it over any dashboard widget for a while.



This is skrooge 969d1c6a04f04b453719cbfb015c3433b2253a06 with KDE from master/trunk.
Comment 1 Stephane MANKOWSKI 2011-05-21 00:30:34 UTC
Git commit 84d7e6ff1a20da1840150f134e019710a91775a2 by Stephane Mankowski.
Committed on 21/05/2011 at 00:30.
Pushed by smankowski into branch 'master'.

BUG: 273692: Weird overlay in each dashboard widget

M  +1    -0    CHANGELOG     
M  +3    -1    skg_dashboard/skgdashboardpluginwidget.cpp     
M  +1    -1    skg_dashboard/skgdashboardpluginwidget.h     

http://commits.kde.org/skrooge/84d7e6ff1a20da1840150f134e019710a91775a2